-- silver aura color:
rawset(_G, "silv_auracolor", function(p)

	if not (netgame or splitscreen)
		return SKINCOLOR_AQUA
	end

	if G_GametypeHasTeams()
		return p.skincolor
	end

	if p.silv_auracolor == -1
		return ColorOpposite(p.skincolor)
	elseif p.silv_auracolor == nil or p.silv_auracolor <= 0 or p.silv_auracolor >= MAXSKINCOLORS
		return SKINCOLOR_AQUA
	else
		return p.silv_auracolor
	end
end)

local color_names = {
	"white",
	"bone",
	"cloudy",
	"grey",
	"silver",
	"carbon",
	"jet",
	"black",

	"aether",
	"slate",
	"pink",
	"yogurt",
	"brown",
	"tan",
	"beige",
	"moss",
	"azure",
	"lavender",

	"ruby",
	"salmon",
	"red",
	"crimson",
	"flame",
	"peachy",
	"quail",
	"sunset",
	"apricot",
	"orange",
	"rust",
	"gold",
	"sandy",
	"yellow",
	"olive",
	"lime",
	"peridot",
	"green",
	"forest",
	"emerald",
	"mint",
	"seafoam",
	"aqua",
	"teal",
	"wave",
	"cyan",
	"sky",
	"cerulean",
	"icy",
	"sapphire",
	"cornflower",
	"blue",
	"cobalt",
	"vapor",
	"dusk",
	"pastel",
	"purple",
	"bubblegum",
	"magenta",
	"neon",
	"violet",
	"lilac",
	"plum",
	"rosy",

	[-1] = "opposite",
}

COM_AddCommand("silv_auracolor", function(p, arg)
	if arg == nil
		CONS_Printf(p, "\x82".."silv_auracolor <number / Colorname>".."\x80"..": Change your aura color when playing as Silver. Set to \'-1\' or \'Opposite\' for opposite color.")
		return
	end

	local args = arg:lower()
	local argn = tonumber(arg)

	if args == "opposite"
		p.silv_auracolor = -1	-- easier for me
		return
	end

	if argn
		if (argn > 0 and argn < MAXSKINCOLORS) or argn == -1
			p.silv_auracolor = argn
		else
			CONS_Printf(p, "Color not in range")
		end
		return
	end

	for i = 1, #color_names
		if color_names[i] == args
			p.silv_auracolor = i
			return
		end
	end
end
)

COM_AddCommand("silv_invertflight", function(p, arg)
	if arg == nil
		CONS_Printf(p, "\x82".."silv_invertflight <On/Off>".."\x80"..": If turned On, inverts the Psycho Boost's vertical commands.")
		return
	end

	local args = arg:lower()
	local argn = tonumber(arg)

	if args == "on"
	or argn == 1
		p.silv_invertflight = true
	elseif args == "off"
	or argn == 0
		p.silv_invertflight = nil
	else
		CONS_Printf(p, "Invalid argument. Please use \'0\'/\'1\' or \'On\'/\'Off\'")
	end
end
)

COM_AddCommand("silv_throwall", function(p, arg)
	if arg == nil
		CONS_Printf(p, "\x82".."silv_throwall <On/Off>".."\x80"..": If turned On, you will default to throwing objects on all enemies at once.")
		return
	end

	local args = arg:lower()
	local argn = tonumber(arg)

	if args == "on"
	or argn == 1
		p.silv_throwone = true
	elseif args == "off"
	or argn == 0
		p.silv_throwone = nil
	else
		CONS_Printf(p, "Invalid argument. Please use \'0\'/\'1\' or \'On\'/\'Off\'")
	end
end
)

rawset(_G, "silv_norollangle", CV_RegisterVar({
	name = "silv_norollangle",
	defaultvalue = 0,
	flags = CV_SAVE,
	possiblevalue = CV_OnOff,
}))

local configplayer	-- used to know when the config should be reloaded
rawset(_G, "silv_config", function()
	if consoleplayer and consoleplayer.valid and (not configplayer or not configplayer.valid)
		-- config must be reloaded
		COM_BufInsertText(consoleplayer, "exec silverconfig.cfg -noerror")	-- for some retarded ass reason, you can't use both -silent and -noerror
		configplayer = consoleplayer
	end
end)